<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: WeaponActionBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/ddb/class_weapon_action_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">WeaponActionBase Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>represents action executed on transition just between OnExit from old state and OnEntry to new state  
 <a href="../../d3/ddb/class_weapon_action_base.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a826dbd061f0eaed0c0a32ac95e065078"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_weapon_action_base.html#a826dbd061f0eaed0c0a32ac95e065078">Action</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:a826dbd061f0eaed0c0a32ac95e065078"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa12586262deb890eae0c86a5114b5043"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_weapon_action_base.html#aa12586262deb890eae0c86a5114b5043">WeaponActionDryFire</a> (<a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> w=NULL)</td></tr>
<tr class="separator:aa12586262deb890eae0c86a5114b5043"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d3c38d51e9e3ed5d5c451b32d34f679"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_weapon_action_base.html#a9d3c38d51e9e3ed5d5c451b32d34f679">Action</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:a9d3c38d51e9e3ed5d5c451b32d34f679"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2375b911bb570d3c88d0ea0269cf45cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_weapon_action_base.html#a2375b911bb570d3c88d0ea0269cf45cb">WeaponActionDryDryFire</a> (<a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> w=NULL)</td></tr>
<tr class="separator:a2375b911bb570d3c88d0ea0269cf45cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d3c38d51e9e3ed5d5c451b32d34f679"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_weapon_action_base.html#a9d3c38d51e9e3ed5d5c451b32d34f679">Action</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:a9d3c38d51e9e3ed5d5c451b32d34f679"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af8732bf0edafb7bac8775b41bec0479a"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/ddb/class_weapon_action_base.html#af8732bf0edafb7bac8775b41bec0479a">m_weapon</a></td></tr>
<tr class="separator:af8732bf0edafb7bac8775b41bec0479a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >represents action executed on transition just between OnExit from old state and OnEntry to new state </p>

<p class="definition">Definition at line <a class="el" href="../../d3/de8/_actions_8c_source.html#l00004">4</a> of file <a class="el" href="../../d3/de8/_actions_8c_source.html">Actions.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a826dbd061f0eaed0c0a32ac95e065078" name="a826dbd061f0eaed0c0a32ac95e065078"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a826dbd061f0eaed0c0a32ac95e065078">&#9670;&#160;</a></span>Action() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponActionBase::Action </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de8/_actions_8c_source.html#l00009">9</a> of file <a class="el" href="../../d3/de8/_actions_8c_source.html">Actions.c</a>.</p>

</div>
</div>
<a id="a9d3c38d51e9e3ed5d5c451b32d34f679" name="a9d3c38d51e9e3ed5d5c451b32d34f679"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d3c38d51e9e3ed5d5c451b32d34f679">&#9670;&#160;</a></span>Action() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void WeaponActionBase::Action </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de8/_actions_8c_source.html#l00019">19</a> of file <a class="el" href="../../d3/de8/_actions_8c_source.html">Actions.c</a>.</p>

</div>
</div>
<a id="a9d3c38d51e9e3ed5d5c451b32d34f679" name="a9d3c38d51e9e3ed5d5c451b32d34f679"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d3c38d51e9e3ed5d5c451b32d34f679">&#9670;&#160;</a></span>Action() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void WeaponActionBase::Action </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de8/_actions_8c_source.html#l00031">31</a> of file <a class="el" href="../../d3/de8/_actions_8c_source.html">Actions.c</a>.</p>

</div>
</div>
<a id="a2375b911bb570d3c88d0ea0269cf45cb" name="a2375b911bb570d3c88d0ea0269cf45cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2375b911bb570d3c88d0ea0269cf45cb">&#9670;&#160;</a></span>WeaponActionDryDryFire()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponActionBase::WeaponActionDryDryFire </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>&#160;</td>
          <td class="paramname"><em>w</em> = <code>NULL</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de8/_actions_8c_source.html#l00029">29</a> of file <a class="el" href="../../d3/de8/_actions_8c_source.html">Actions.c</a>.</p>

</div>
</div>
<a id="aa12586262deb890eae0c86a5114b5043" name="aa12586262deb890eae0c86a5114b5043"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa12586262deb890eae0c86a5114b5043">&#9670;&#160;</a></span>WeaponActionDryFire()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponActionBase::WeaponActionDryFire </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>&#160;</td>
          <td class="paramname"><em>w</em> = <code>NULL</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de8/_actions_8c_source.html#l00017">17</a> of file <a class="el" href="../../d3/de8/_actions_8c_source.html">Actions.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="af8732bf0edafb7bac8775b41bec0479a" name="af8732bf0edafb7bac8775b41bec0479a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8732bf0edafb7bac8775b41bec0479a">&#9670;&#160;</a></span>m_weapon</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> WeaponActionBase::m_weapon</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de8/_actions_8c_source.html#l00016">16</a> of file <a class="el" href="../../d3/de8/_actions_8c_source.html">Actions.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/Firearms/FSM/<a class="el" href="../../d3/de8/_actions_8c_source.html">Actions.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/ddb/class_weapon_action_base.html">WeaponActionBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
